### Method

# Gio SettingsBackend path_changed

since: 2.26

#### Declaration

    void
    g_settings_backend_path_changed (
      GSettingsBackend* backend,
      const gchar* path,
      gpointer origin_tag
    )

#### Description

Signals that all keys below a given path may have possibly changed. Backend implementations should call this if an entire path of keys have possibly changed their values.

`path` must be a valid path (ie starting and ending with a slash and not containing ‘//’).

The meaning of this signal is that any of the key which has a name starting with `path` may have changed.

The same rules for when notifications must occur apply as per g_settings_backend_changed(). This call might be an appropriate reasponse to a ‘reset’ call but implementations are also free to explicitly list the keys that were affected by that call if they can easily do so.

For efficiency reasons, the implementation should strive for `path` to be as long as possible (ie: the longest common prefix of all of the keys that were changed) but this is not strictly required. As an example, if this function is called with the path of “/” then every single key in the application will be notified of a possible change.

Available since: 2.26

#### Parameters

`path`

  Type: `const gchar*`

  The path containing the changes.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`origin_tag`

  Type: `gpointer`

  The origin tag.

  The argument can be `NULL`.
  The data is owned by the caller of the method.